<?php

date_default_timezone_set("Asia/Tehran");

$mysqli = new mysqli("localhost", "root", "", "rapidcode");
if ($mysqli->connect_error) {
	die("MYSQL ISSUE : " . $mysqli->connect_error);
}

$mysqli->set_charset("utf8");
$stmt = $mysqli->stmt_init();

$keyVL = @$_GET['key'];
$dateTimeVL = date("Y-m-d H:i:s");

$query = "SELECT * FROM `expire_pages` WHERE expire_pages.key=? LIMIT 1";
$rows = [];

$stmt->prepare($query);
$stmt->bind_param('s', $keyVL);

if ($stmt->execute() && $res = $stmt->get_result()) {
	if ($stmt->affected_rows || $res->num_rows) {
		while ($row = $res->fetch_assoc()) {
			$rows[] = $row;
		}
	}
}

$stmt->close();
$mysqli->close();

if (!$rows) {
	die("رکوردی یافت نشد");
} else {
	if ($rows[0]['date_expired'] < $dateTimeVL) {
		die("این صفحه منقضی شده است");
	}
}

?><!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width">
  <title>صفحه دارای زمان منقضی - رپید کد</title>
</head>
<body>

<h1>OK</h1>

</body>
</html>